GridFire 0.0.1a General Purpose Nuclear Network

Loading...
Searching...
No Matches
Public Member Functions | Private Attributes | List of all members
gridfire::exceptions::UnableToSetNetworkReactionsError Class Referencefinal

`#include <error_engine.h>`

Inheritance diagram for gridfire::exceptions::UnableToSetNetworkReactionsError:

## Public Member Functions
| UnableToSetNetworkReactionsError (const std::string &message)
const char * | what () const noexcept override

## Private Attributes
std::string | m_message

## Detailed Description

Definition at line 99 of file error_engine.h.

## Constructor & Destructor Documentation

## ◆ UnableToSetNetworkReactionsError()

gridfire::exceptions::UnableToSetNetworkReactionsError::UnableToSetNetworkReactionsError | ( | const std::string & | message | ) |
| inline explicit

Definition at line 101 of file error_engine.h.

## Member Function Documentation

## ◆ what()

const char * gridfire::exceptions::UnableToSetNetworkReactionsError::what | ( |  | ) | const
| inline override noexcept

Definition at line 104 of file error_engine.h.

## Member Data Documentation

## ◆ m_message

std::string gridfire::exceptions::UnableToSetNetworkReactionsError::m_message
| private

Definition at line 109 of file error_engine.h.

The documentation for this class was generated from the following file:

- src/include/gridfire/exceptions/error_engine.h